Website Input - Bug #1933

Firefox integration freezes on Windows
07/16/2017 01:40 AM - Luke Murphey

Status: Closed Start date: 07/15/2017
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Input: Browser Renderer Estimated time: 0.00 hour
Target version: 43.0

Description

Related issues:
Related to Website Input - Task #1885: Update libraries Closed 05/25/2017

Associated revisions

Revision 485 - 07/21/2017 04:37 AM - lukemurphey
Switching to Selenium 3.4.1, geckodriver 0.16.1 (0.17.0 for Linux 32)

Closes #1933

History

#1 - 07/16/2017 01:41 AM - Luke Murphey
Things to try:

1) Running older libraries
2) Running 64-bit drivers

#2 - 07/16/2017 01:41 AM - Luke Murphey

https://stackoverflow.com/questions/42037554/windows-selenium-webdriver-firefox-hangs

#3 - 07/16/2017 03:14 AM - Luke Murphey

Downgraded to the version of Selenium (3.4.1) and the geckodrivers that Network Toolkit uses and it works.

#4 - 07/16/2017 03:25 AM - Luke Murphey

| suspect that Network Toolkit was using Geckodriver 0.16.1.

#5 - 07/16/2017 03:26 AM - Luke Murphey

Worked in search too:

| webscrape url="https://textcritical.net/works" timeout=5 selector="h3" browser="firefox" depth_limit=25 empt
y_matches=0

#6 - 07/16/2017 03:28 AM - Luke Murphey
Yeah, its 0.16.1:

\46696267a3d8e04d38756c66a95d3fa2 “etc\\apps\\website_input\\bin\\browser_drivers\\win32\\geckodriver.exe
https://stackoverflow.com/questions/42037554/windows-selenium-webdriver-firefox-hangs

\46696267a3d8e04d38756c66a95d3fa2 *C:\\Users\\Luke\\Downloads\\geckodriver-v0.16.1-win32\\geckodriver.exe

#7 - 07/16/2017 03:36 AM - Luke Murphey

3.4.1/0.16.1: works

3.4.3/0.16.1: didn't work
3.0.1/0.11.0: didn't work
3.4.3/0.17.0: didn't work
3.4.1/0.18.0: didn't work

#8 - 07/16/2017 03:36 AM - Luke Murphey
Going back to 3.4.1/0.16.1 and | still can't get it to work.

#9 - 07/16/2017 03:57 AM - Luke Murphey

https://stackoverflow.com/questions/45027631/firefox-crashes-on-driver-last-window-close

#10 - 07/16/2017 05:43 AM - Luke Murphey
64-bit didn't help.

#11 - 07/18/2017 04:53 PM - Luke Murphey
Option is to downgrade to 3.4.1/0.16.1.

#12 - 07/18/2017 07:26 PM - Luke Murphey
With this approach, Linux 32-bit is using 0.17.0 while the rest are using 0.16.1 since there is no 32-bit driver for 0.16.1.

#13 - 07/18/2017 07:33 PM - Luke Murphey
- Related to Task #1885: Update libraries added

#14 - 07/18/2017 07:35 PM - Luke Murphey

Here is my observations on the Selenium and Geckodrivers:

0.18.0/*: doesn't work on anything
0.17.0/*: doesn't work on Windows
0.17.0/3.4.3: doesn't work on Windows
0.17.0/3.4.1: works on all

#15 - 07/18/2017 08:12 PM - Luke Murphey
- % Done changed from 0 to 90

Just need to:
1. Test on the servers

2. Update deps list
3. Update README with limitations and guidance on using Chrome instead of Firefox on Windows
#16 - 07/21/2017 04:39 AM - Anonymous
- Status changed from New to Closed

- % Done changed from 90 to 100

Applied in changeset r485.
